Griffin Support

When I plug the iTrip into my iPod, the iTrip's screen just flashes!

This means that the iPod you're using isn't compatible with the new iTrip. The new iTrip with App Support requires data connections that aren't available in iPod models made before September of 2007. The good news is, there are plenty of iTrip models that are compatible with your iPod. For a complete list of Griffin products that are compatible with your iPod, go to our Products Page and click on the picture of your iPod.